<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="UTF-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<link rel="import" href="user_modals.html">
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.4.1/semantic.min.css">
	<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.21/css/jquery.dataTables.css">
	<script src="https://code.jquery.com/jquery-3.1.1.min.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.4.1/semantic.min.js"></script>
	<script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/1.10.21/js/jquery.dataTables.js">
	</script>
	<script src="cookie.js"></script>
	<script src="session.js"></script>
	<title>User Management</title>

	<style>
		/* Additional styling for the search input */
		.dataTables_filter input {
			border-radius: 15px;
			padding: 8px;
		}
	</style>


</head>

<body>
	<div class="ui container" style="margin-top: 20px;">
		<h2 class="ui header">User Management</h2>
		<button class="ui button primary" id="addUserButton">Add New User</button>
		<button class="ui button" onclick="goBack()">Go Back</button>

		<table class="ui celled table" id="userTable">
			<thead>
				<tr>
					<th style="width: 10%;">Username</th>
					<th style="width: 10%;">Name</th>
					<th style="width: 10%;">Surname</th>
					<th style="width: 10%;">Role</th>
					<th style="width: 10%;">Created</th>
					<th id="action_th" style="width: 10%;">Action</th>
				</tr>
			</thead>
			<tbody>
				<!-- Users will be dynamically added here -->
			</tbody>
		</table>
	</div>

	<div class="ui modal" id="addUserModal">
		<i class="close icon"></i>
		<div class="header">
			Add New User
		</div>
		<div class="content">
			<form class="ui form" id="addUserForm" method="post">
				<div class="field">
					<label>Name</label>
					<input type="text" name="name" placeholder="Name" required>
				</div>
				<div class="field">
					<label>Surname</label>
					<input type="text" name="surname" placeholder="Surname" required>
				</div>
				<div class="field">
					<label>Username</label>
					<input type="text" name="username" placeholder="Username" required>
				</div>
				<div class="field">
					<div class="field" id="roleField">
						<label>Role</label>
						<select class="ui dropdown" name="role">
							<option value="">Select Role</option>
							<option value="user">User</option>
							<option value="admin">Admin</option>
						</select>
					</div>
				</div>
				<div class="field">
					<label>Password</label>
					<input type="password" name="password" placeholder="Password" required>
				</div>
				<button class="ui button primary" type="submit">Add User</button>
			</form>
		</div>
	</div>

	<div class="ui basic modal" id="deleteConfirmationModal">
		<div class="ui icon header">
			<i class="archive icon"></i>
			Confirm Deletion
		</div>
		<div class="content">
			<p>Are you sure you want to delete <span id="deleteUserName"></span>?</p>
		</div>
		<div class="actions">
			<div class="ui red basic cancel inverted button">
				<i class="remove icon"></i>
				No
			</div>
			<div class="ui green ok inverted button">
				<i class="checkmark icon"></i>
				Yes
			</div>
		</div>
	</div>

	<div class="ui modal" id="updateUserModal">
		<i class="close icon"></i>
		<div class="header">
			Update User
		</div>
		<div class="content">
			<form class="ui form" id="updateUserForm" method="post">
				<div class="field">
					<label>Name</label>
					<input type="text" name="update_name" placeholder="Name" required>
				</div>
				<div class="field">
					<label>Surname</label>
					<input type="text" name="update_surname" placeholder="Surname" required>
				</div>
				<div class="field">
					<label>Username</label>
					<input type="text" name="update_username" placeholder="Username" required readonly>
				</div>
				<div class="field">
					<label>Role</label>
					<select class="ui dropdown" name="update_role">
						<option value="user">User</option>
						<option value="admin">Admin</option>
					</select>
				</div>
				<div class="field">
					<label>Password</label>
					<input type="password" name="update_password" placeholder="Password">
				</div>
				<button class="ui button primary" type="submit">Update User</button>
			</form>
		</div>
	</div>

	<!-- Semantic UI Modal for Error Messages -->
	<div class="ui basic modal" id="errorModal">
		<div class="ui icon header">
			<i class="exclamation triangle icon"></i>
			Error
		</div>
		<div class="content">
			<p id="errorMessage"></p>
		</div>
	</div>

	<!-- Semantic UI Modal for Username Validation Error -->
	<div class="ui basic modal" id="usernameErrorModal">
		<div class="ui icon header">
			<i class="exclamation triangle icon"></i>
			Error
		</div>
		<div class="content">
			<p id="usernameErrorMessage"></p>
		</div>
	</div>


</body>

<script src="users.js"></script>

</html>